Package net.postgis.jdbc

# Class DriverWrapper.TypesAdder80

java.lang.Object
net.postgis.jdbc.DriverWrapper.TypesAdder
net.postgis.jdbc.DriverWrapper.TypesAdder80

Enclosing class:
  `DriverWrapper`

protected static class DriverWrapper.TypesAdder80 extends DriverWrapper.TypesAdder
addGISTypes for V8.0 (and hopefully newer) pgjdbc

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TypesAdder80()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBinaryGeometries(Connection conn)`
`void`
`addBoxen(Connection conn)`
`void`
`addGeometries(Connection conn)`

### Methods inherited from class net.postgis.jdbc.DriverWrapper.TypesAdder

`addGT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypesAdder80

protected TypesAdder80()

## Method Details

### addGeometries

public void addGeometries(Connection conn) throws SQLException

Specified by:
  `addGeometries` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`

### addBoxen

public void addBoxen(Connection conn) throws SQLException

Specified by:
  `addBoxen` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`

### addBinaryGeometries

public void addBinaryGeometries(Connection conn) throws SQLException

Specified by:
  `addBinaryGeometries` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`